Bug 188474 - NullPointerException at org.netbeans.modules.profiler.heapwalk.OverviewController.printInstance
NullPointerException at org.netbeans.modules.profiler.heapwalk.OverviewContro...
Status: RESOLVED FIXED
Product: profiler
Classification: Unclassified
Component: Base
6.x
All All
: P3 (vote)
: 7.0
Assigned To: Tomas Hurka
issues@profiler
EXCEPTIONS_REPORT
: VISUALVM
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-08 08:23 UTC by Exceptions Reporter
Modified: 2011-02-24 16:07 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (618 bytes, text/plain)
2010-07-08 08:23 UTC, Exceptions Reporter
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Exceptions Reporter 2010-07-08 08:23:09 UTC
This issue was reported manually by thurka.
It already has 3 duplicates 


Build: NetBeans IDE 6.9 RC2 (Build 201005312001)
VM: Java HotSpot(TM) 64-Bit Server VM, 16.3-b01, Java(TM) SE Runtime Environment, 1.6.0_20-b02
OS: Linux

Stacktrace: 
java.lang.NullPointerException
   at org.netbeans.modules.profiler.heapwalk.OverviewController.printInstance(OverviewController.java:520)
   at org.netbeans.modules.profiler.heapwalk.OverviewController.getStackTrace(OverviewController.java:472)
   at org.netbeans.modules.profiler.heapwalk.OverviewController.computeThreads(OverviewController.java:296)
   at org.netbeans.modules.profiler.heapwalk.ui.OverviewControllerUI$1.run(OverviewControllerUI.java:142)
   at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:1418)
   at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1957)
Comment 1 Exceptions Reporter 2010-07-08 08:23:14 UTC
Created attachment 100680 [details]
stacktrace
Comment 2 Tomas Hurka 2010-07-08 08:33:51 UTC
Fixed in trunk.

changeset:   173880:22693210170a
tag:         tip
user:        Tomas Hurka <thurka@netbeans.org>
date:        Thu Jul 08 10:32:39 2010 +0200
summary:     bugfix #188474, localVar.getInstance() or in.getJavaClass() can be null in some cases
Comment 3 Quality Engineering 2010-07-13 03:30:14 UTC
Integrated into 'main-golden', will be available in build *201007130001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/22693210170a
User: Tomas Hurka <thurka@netbeans.org>
Log: bugfix #188474, localVar.getInstance() or in.getJavaClass() can be null in some cases


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo